
; AutoIt Version: 3.1
; Language:       English
; Platform:       Win2000
; Author:         Samuel Murray (http://www.leuce.com/translate/)
;
; Script Function:
;   Creating a Trados uncleaned document after having translated with
;   your favourite CAT tool, such as OmegaT.  Script based on Samuel
;   Murray's TM4FH script for mimicking TM support in Macromedia
;   FreeHand 9/10/11.
;
; Script Name:
;  OMT2WF (OmegaT to "Wordfast")

; HOW TO USE

; You must read the accompanying OMT2WF.txt, otherwise you're lost.

; THE SCRIPT

; You can press Ctrl+Q at any time to kill the script.

HotKeySet("^q", "MyExit")

; Opening the source and target texts into the script's memory.

$file1 = FileOpen("source.txt", 0)
$file2 = FileOpen("target.txt", 0)

; Checking if the files have opened successfully.

If $file1 = -1 Then
MsgBox(0, "Error", "Unable to open file.")
Exit
EndIf

If $file2 = -1 Then
MsgBox(0, "Error", "Unable to open file.")
Exit
EndIf

; Writing the contents of the opened files into variables.

$FileText1 = FileRead("source.txt", FileGetSize("source.txt"))
$FileText2 = FileRead("target.txt", FileGetSize("target.txt"))

; Segmenting the two files by newline.

$FileTextARRAY1 = StringSplit($FileText1, @CRLF,1)
$FileTextARRAY2 = StringSplit($FileText2, @CRLF,1)

; Wait for OpenOffice.org to become active.

WinWaitActive("Document")

; Loop as many times as there are segments in source.txt.

For $i = 1 To $FileTextARRAY1[0]

; call the Find/Replace dialog.

Send("^f") 

; Pasting the current segment from the source file in the Find
; field.

WinWaitActive("Find")
ClipPut($FileTextARRAY1[$i])
Send("^v")

; Moving to the Replace field.

WinWaitActive("Find")
Send("{TAB}")

; Pasting the current segment from the target file in the Replace field.

WinWaitActive("Find")
ClipPut($FileTextARRAY2[$i])
Send("^v")

; Pressing the "Replace All" button.

WinWaitActive("Find")
Send("!l")

; Pressing the "OK" button on whichever dialog pops up.

WinWaitActive("OpenOffice")

Send("{ENTER}")

; Dismiss the "Find/Replace" dialog.

WinWaitActive("Find")
Send("^f") 

; Loop de loop...

Next

; Farewell message (disappears after 10 seconds).

MsgBox(4096, "I'm done", "The script is done, mate.", 10)

; This piece of code has something to do with the HotKeySet mentioned
; above.

Func MyExit()
    Exit 
EndFunc 

; Script comes to an end.

Exit
